/* shelf */

.mvp-shelf{
    position: relative;
}

.mvp-shelf-inner{
    background: #fff;
    padding: 20px;
}
.mvp-shelf-inner{
    container: mvp_shelf_query / inline-size;
}

/* header */

.mvp-header-content-left{
    display: flex;
    flex-direction: row;
    flex: 1;
    align-items: center;
}
.mvp-header-content{
    display: flex;
    flex-wrap: nowrap;
    align-items: center; 
    padding: 10px 20px 30px 10px;
    min-height: 100px;
    box-sizing:content-box;
}
.mvp-header-logo{
    overflow: hidden;
    border-radius: 100%;
    flex-shrink: 0;
    margin-right: 16px;
    width: 100px;
}
.mvp-header-logo img{
    display: block;
    width: 100%;
}
.mvp-header-info{
    flex-grow: 1;
    text-align: left;
}
.mvp-header-info-title{
    display: -webkit-box!important;
    overflow: hidden;
    line-height: 28px;
    max-height: 28px;
    font-size: 20px;
    -webkit-line-clamp: 1;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
}
.mvp-header-info-title a{
    color: inherit!important;
    text-decoration: none!important;
}
.mvp-header-info-title a:hover{
    text-decoration: underline!important;
}
.mvp-header-info-description{
    font-size: 13px;
    margin-bottom: 10px;
    margin-right: 10px;
}
.mvp-header-info-description-full{
    display: none!important;
}
.mvp-header-info-stats{
    font-size: 12px;
    font-weight: 400;
    margin-top: 3px;
}
.mvp-header-info-stats-divider{
    margin: 0 5px;
}
.mvp-subscribe,
.mvp-follow{
    padding: 10px 13px;
    line-height: 1;
    border: 0;
    border-radius: 3px;
    -webkit-appearance: none;
    min-height: 13px;
    margin: 0;
    font-weight: 700;
    text-decoration: none;
    font-size: 13px;
}
.mvp-follow{
    background-color: rgb(0, 173, 239);
    color: rgb(255, 255, 255);
}
.mvp-subscribe{
    background-color: rgb(255, 0, 0);
    color: rgb(255, 255, 255);
}
.mvp-subscribe:hover,
.mvp-follow:hover{
    opacity: 0.9;
}


/* grid */

.mvp-shelf .mvp-shelf-playlist-content{
    display: grid;
    grid-gap: 1rem;
    opacity: 0;
    transition: opacity 0.5s;
}
.mvp-shelf-visible{
    opacity: 1!important;
}
@container mvp_shelf_query (min-width: 700px){ 
    .mvp-shelf-dbt .mvp-shelf-playlist-content { grid-template-columns: repeat(2, 1fr); }
}
@container mvp_shelf_query (min-width: 1100px){ 
    .mvp-shelf-dbt .mvp-shelf-playlist-content { grid-template-columns: repeat(3, 1fr); }
}
@container mvp_shelf_query (min-width: 1800px){ 
    .mvp-shelf-dbt .mvp-shelf-playlist-content { grid-template-columns: repeat(4, 1fr); }
}

@container mvp_shelf_query (min-width: 800px){ 
    .mvp-shelf-drot .mvp-shelf-playlist-content { grid-template-columns: repeat(2, 1fr); }
}
@container mvp_shelf_query (min-width: 1300px){ 
    .mvp-shelf-drot .mvp-shelf-playlist-content { grid-template-columns: repeat(3, 1fr); }
}
@container mvp_shelf_query (min-width: 2200px){ 
    .mvp-shelf-drot .mvp-shelf-playlist-content { grid-template-columns: repeat(4, 1fr); }
}

.mvp-shelf-box{
    display: flex;
}
.mvp-shelf-dbt .mvp-shelf-box{
    flex-direction: column;
}
.mvp-shelf-drot .mvp-shelf-box{
    flex-direction: row;
    margin-bottom: 10px; 
    height: 175px;
}
.mvp-shelf-drot .mvp-thumb{
    max-width: 50%;
}

.mvp-shelf .mvp-thumb{
    position: relative;
    width: 100%;
    overflow: hidden;
    -webkit-backface-visibility: hidden;
    flex-shrink: 0;
}
.mvp-shelf .mvp-thumbimg{
    position: relative;
    width: 100%;
    width: calc(100% + 2px);
    min-height: 100%;
    display: block;
    user-select: none;
    opacity: 0;
    -webkit-transform-style: preserve-3d;
    -webkit-backface-visibility: hidden;
    transition: opacity 500ms ease-in;
}
.mvp-count-wrap{
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    color: rgb(255, 255, 255);
    background: rgba(0, 0, 0, 0.4);
    padding: 5px;
    display: flex;
}
.mvp-count{
    margin-left: auto;
}
.mvp-play-all-wrap{
    position: absolute; 
    left: 0;
    top: 0;
    padding: 10px;
    width: 100%;
    overflow: hidden;
    box-sizing: border-box;
    text-align: center;
    line-height: normal;
    display: flex;
    justify-content: center;
    align-items: center;
    max-height: 100%;
    opacity: 0; 
    height: 100%;
    color: rgb(255, 255, 255);
    background: rgba(0, 0, 0, 0.8);
    cursor: pointer;
}
.mvp-play-all-inner{
    display: flex;
    align-items: center;
    flex-direction: row;
}
.mvp-play-all-icon{
    margin-right: 10px;
}
.mvp-play-all-icon svg{
    height:22px;
    position: relative;
    display: block;
    color:#fff;
    fill:currentColor;
}
.mvp-play-all{
    text-transform: uppercase;
}

.mvp-shelf-item-hover .mvp-play-all-wrap{
    opacity: 1;
    transition: opacity 200ms ease-out;
}

.mvp-shelf-dbt .mvp-shelf-info{
    position: relative;
    margin: 10px;
}
.mvp-shelf-drot .mvp-shelf-info{
    max-height: 100%;
    position: relative;
    overflow: hidden;
    margin: 10px;
}
.mvp-shelf-title {
    color: #303c5e;
    font-size: 1em;
    margin-bottom: 10px;
    display: block;
    font-size: 1em;
}
.mvp-shelf-dbt .mvp-shelf-title {
    
}
.mvp-shelf-drot .mvp-shelf-title {
   
}
.mvp-shelf-description {
    font-size: 0.8em;
    font-weight: 300;
    color: #9588ad;
}
.mvp-shelf-dbt .mvp-shelf-description {

}
.mvp-shelf-drot .mvp-shelf-description {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 7;
}
.mvp-shelf .mvp-load-more-btn{
    background: #607D8B;
    color: #eee;
}
@media (hover: hover) {
    .mvp-shelf .mvp-load-more-btn:hover{
        opacity: 0.8;
    }
}
.mvp-shelf-loader-wrap{
    position:fixed;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: rgba(255,255,255,0.6);
    display: none;
}
.mvp-shelf-loader{
    position:absolute;
    top:50%;
    left:50%;
    pointer-events: none;
    width: 40px;
    height: 40px;
    margin-left:-20px;
    margin-top:-34px;
    -webkit-animation: mvp_shelf_preloader 1.2s infinite ease-in-out;
    animation: mvp_shelf_preloader 1.2s infinite ease-in-out;
    background-color: #a175f1;
}
@-webkit-keyframes mvp_shelf_preloader {
    0% { -webkit-transform: perspective(120px) }
    50% { -webkit-transform: perspective(120px) rotateY(180deg) }
    100% { -webkit-transform: perspective(120px) rotateY(180deg)  rotateX(180deg) }
}
@keyframes mvp_shelf_preloader {
    0% { 
        transform: perspective(120px) rotateX(0deg) rotateY(0deg);
        -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg) 
    } 50% { 
        transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
        -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg) 
    } 100% { 
        transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
        -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
    }
}


